Subject: Re: bug#70384: [PATCH] 30.0.50; save-mark-and-excursion breaks with tmm disabled

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Apr 2024 14:04:29 +0300

> From: Paul Nelson <[email-masked]>
> Date: Sun, 14 Apr 2024 17:52:42 +0200
> 
> Steps to reproduce:
> 
> - Disable transient-mark-mode.
> - Set the mark somewhere (C-SPC), move the point somewhere else.
> - M-: (save-mark-and-excursion (activate-mark))
> 
> This activates the region, but should not.

I'm not sure I agree with your expectations.  activate-mark activates
the mark unconditionally when transient-mark-mode is disabled, unless
you invoke it with a non-nil argument.  And indeed

   (save-mark-and-excursion (activate-mark t))

behaves like you expect.

Stefan, am I missing something?